Subject: Re: Broken PCI on Sequoia

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 30 Jan 2009 13:08:53 +1100

> Yeah.  In fact, I think you have that bug in almost every board.  You only
> updated Bamboo and Canyonlands with the initial patch and the changelog
> says "other boards can be updated separately."  Nobody did that.  So not
> so weird after all.

I still don't see off hand what's wrong in the code..

Geert, any chance you can sprinkle printk's in
ppc4xx_configure_pci_PMMs() ? I'd like to see the arguments to the
various calls to ppc4xx_setup_one_pci_PMM(), and the value of
hose->pci_mem_offset and hose->isa_mem_phys & size.

Cheers,
Ben.